de.dhbwstuttgart.syntaxtree.statement

## Class Literal

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.statement.Statement
    - - de.dhbwstuttgart.syntaxtree.statement.ExprStmt
      - - de.dhbwstuttgart.syntaxtree.statement.Expr
        - - de.dhbwstuttgart.syntaxtree.statement.Literal

All Implemented Interfaces:
  IItemWithOffset, Typeable

Direct Known Subclasses:
  BoolLiteral, CharLiteral, DoubleLiteral, FloatLiteral, IntLiteral, LongLiteral, Null, StringLiteral

    public abstract class Literal
    extends Expr

### Field Summary

Fields
`private boolean` `primitiveFlag`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

`usedid`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

`inferencelog`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`offset, type`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
Constructor and Description
`Literal(int offset, int variableLength)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `getPrimitiveFlag()`
`void` `setPrimitiveFlag(boolean b)`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

`get_Name_Menge, get_Name, get_Type_Menge, get_UsedId, set_Type, set_UsedId, TYPEExpr, TYPEStmt`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

`getTypeLineNumber, getTypeName`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`getDescription, getOffset, getReturnType, getType, getTypeInformation, getVariableLength, printJavaCode, setReturnType, setType, wandleRefTypeAttributes2GenericAttributes`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, equals, getChildren, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### primitiveFlag

    private boolean primitiveFlag

### Constructor Detail

#### Literal

    public Literal(int offset,
                   int variableLength)

### Method Detail

#### setPrimitiveFlag

    public void setPrimitiveFlag(boolean b)

#### getPrimitiveFlag

    public boolean getPrimitiveFlag()